import * as v from "valibot";

export const supportedAppSchema = v.object({
    id: v.number(),
    title: v.string(),
    packageName: v.string(),
    createdAt: v.date(),
    updatedAt: v.date(),
});
export type SupportedApp = v.InferOutput<typeof supportedAppSchema>;

export const createSupportedAppSchema = v.object({
    title: v.pipe(v.string(), v.minLength(1)),
    packageName: v.pipe(v.string(), v.minLength(1)),
});
export type CreateSupportedApp = v.InferOutput<
    typeof createSupportedAppSchema
>;

export const updateSupportedAppSchema = v.partial(
    v.object({
        title: v.string(),
        packageName: v.string(),
    }),
);
export type UpdateSupportedApp = v.InferOutput<
    typeof updateSupportedAppSchema
>;
